Cancelling a batch
curl --request DELETE \
--url https://waitlist-api.prod.blast.io/v1/contracts/{contractAddress}/batches/{batchId} \
--header 'Authorization: <authorization>'import requests
url = "https://waitlist-api.prod.blast.io/v1/contracts/{contractAddress}/batches/{batchId}"
headers = {"Authorization": "<authorization>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};
fetch('https://waitlist-api.prod.blast.io/v1/contracts/{contractAddress}/batches/{batchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Cancelling a batch
Cancelling a batch
Batches may be cancelled before
finalizeAt.
It’s not possible to cancel a specific transfer.
To do so, you would need to cancel the entire batch and resend the batch excluding that transfer.
Authentication
string
required
Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.Path Params
string
required
Contract address which submitted the batch.
string
required
batchId of batch to cancel.Response
boolean
Response status.